=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-12-05 18:52:44 +0000
+++ loggerhead/apps/branch.py	2009-01-23 20:39:54 +0000
@@ -70,6 +70,11 @@
         kw = util.get_context(**kw)
         return self.url(*args, **kw)
 
+    @property
+    def served_url(self):
+        """The URL that you can fetch this branch from."""
+        return self.url([])
+
     def static_url(self, path):
         return self._static_url_base + path
 

=== modified file 'loggerhead/static/css/files.css'
--- loggerhead/static/css/files.css	2009-01-23 19:19:39 +0000
+++ loggerhead/static/css/files.css	2009-01-23 20:39:54 +0000
@@ -7,6 +7,9 @@
 	background:#fcfcfc;
 	border:1px solid #b7b7b7;
 }
+#branch-info {
+    padding-bottom: 10px;
+}
 .information, .committer, .timer, .mfrom, .mto, .revid {
 	float:left;
 	margin:0px 10px 5px 0px;

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-10-24 02:26:05 +0000
+++ loggerhead/templatefunctions.py	2009-01-23 20:39:54 +0000
@@ -53,6 +53,11 @@
 
 
 @templatefunc
+def branchinfo(branch):
+    return _pt('branchinfo').expand(branch=branch, **templatefunctions)
+
+
+@templatefunc
 def collapse_button(group, name, branch, normal='block'):
     return _pt('collapse-button').expand(
         group=group, name=name, normal=normal, branch=branch,

=== added file 'loggerhead/templates/branchinfo.pt'
--- loggerhead/templates/branchinfo.pt	1970-01-01 00:00:00 +0000
+++ loggerhead/templates/branchinfo.pt	2009-01-23 20:39:54 +0000
@@ -0,0 +1,5 @@
+<div class="infoContainer" id="branch-info">
+  To get this branch, use: <br/>
+  <code>bzr branch
+  <tal:served-url tal:replace="python:branch.served_url" /></code>
+</div>

=== modified file 'loggerhead/templates/inventory.pt'
--- loggerhead/templates/inventory.pt	2008-10-30 11:22:46 +0000
+++ loggerhead/templates/inventory.pt	2009-01-23 20:39:54 +0000
@@ -43,6 +43,8 @@
 
           <tal:revision-info replace="structure python:revisioninfo(url, branch, change)" />
 
+          <tal:branch-info replace="structure python:branchinfo(branch)" />
+
           <table id="logentries">
             <tr class="logheader">
               <th class="summarycell"><a tal:attributes="href python:url(['/files', revid], sort='filename')">Filename</a></th>

